io.etcd.jetcd.api

## Interface SnapshotResponseOrBuilder

All Superinterfaces:
  com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder

All Known Implementing Classes:
  SnapshotResponse, SnapshotResponse.Builder

    public interface SnapshotResponseOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

All Methods Instance Methods Abstract Methods
`com.google.protobuf.ByteString` `getBlob()` blob contains the next chunk of the snapshot in the snapshot stream.
`ResponseHeader` `getHeader()` header has the current key-value store information.
`ResponseHeaderOrBuilder` `getHeaderOrBuilder()` header has the current key-value store information.
`long` `getRemainingBytes()` remaining_bytes is the number of blob bytes to be sent after this message
`boolean` `hasHeader()` header has the current key-value store information.

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Method Detail

#### hasHeader

    boolean hasHeader()

     header has the current key-value store information. The first header in the snapshot
     stream indicates the point in time of the snapshot.

`.etcdserverpb.ResponseHeader header = 1;`

Returns:
  Whether the header field is set.

#### getHeader

    ResponseHeader getHeader()

     header has the current key-value store information. The first header in the snapshot
     stream indicates the point in time of the snapshot.

`.etcdserverpb.ResponseHeader header = 1;`

Returns:
  The header.

#### getHeaderOrBuilder

    ResponseHeaderOrBuilder getHeaderOrBuilder()

     header has the current key-value store information. The first header in the snapshot
     stream indicates the point in time of the snapshot.

`.etcdserverpb.ResponseHeader header = 1;`

#### getRemainingBytes

    long getRemainingBytes()

     remaining_bytes is the number of blob bytes to be sent after this message

`uint64 remaining_bytes = 2;`

Returns:
  The remainingBytes.

#### getBlob

    com.google.protobuf.ByteString getBlob()

     blob contains the next chunk of the snapshot in the snapshot stream.

`bytes blob = 3;`

Returns:
  The blob.